Bug 124862 - Update translation locally for Japanese
Summary: Update translation locally for Japanese
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords: i18n
: 118958 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-31 15:43 UTC by Nakai
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 5.2.1-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 09:29:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff for coreutils-5.2.1/po/ja.po (422 bytes, patch)
2004-06-02 08:20 UTC, Nakai
no flags Details | Diff

Description Nakai 2004-05-31 15:43:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
'ls -l' lacks '日'(day) char in Japanese environment.
This should be fixed in its ja.po, it's not software implementation
issue.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ls -l with LANG=ja_JP.UTF-8
2. f**k


Actual Results:  The distro is garbage.

Expected Results:  The distro should speak sane Japanese.

Additional info:

This issue might happen on Chinese or Korean environmemt,
but I don't know what's in their .po files.

Comment 1 Tim Waugh 2004-06-01 17:07:28 UTC
Do you have a patch to fix this?

Comment 2 Nakai 2004-06-02 08:20:14 UTC
Created attachment 100787 [details]
diff for coreutils-5.2.1/po/ja.po

Fix for date format

Comment 3 Nakai 2004-06-02 08:21:05 UTC
Attached

Comment 4 Tim Waugh 2004-06-02 08:59:07 UTC
Thanks.  Fixed in 5.2.1-11.

Comment 5 Tim Waugh 2004-11-09 17:26:42 UTC
So according to bug #118958 this wasn't sufficient.  Please supply a patch which
is: I don't really understand what's going on here.

Comment 6 Tim Waugh 2004-11-09 17:27:57 UTC
*** Bug 118958 has been marked as a duplicate of this bug. ***

Comment 7 Takanori MATSUURA 2005-09-09 01:13:39 UTC
Tim,

Did you see the attachment 106269 [details] in Bug 118958?
The upper (execute "ls -l") is an actual result, and the lower is an expected one.

The attachment 100787 [details] in this bug fixes it.

Comment 8 Tim Waugh 2005-09-09 08:26:50 UTC
According to bug #118958 comment #2 this was not sufficient.

Please confirm/deny that the current coreutils package (which includes the patch
from attachment 100787 [details] as "coreutils-jday.patch"), 5.2.1-54, gives the correct
result.

Comment 9 John Thacker 2006-04-24 20:16:41 UTC
So, the behavior that was believed to be wrong (æ¥ does not follow 
the day although æ follows the month) is back in FC5, such as in 
coreutils-5.93-7.2

I see that the patch from attachment 100787 [details] was dropped on the FC5
branch.  Is this intentional?  Did upstream or someone decide that
not having the day character is better because it's more consistent
with other languages or something?  If so, I suppose this could be
closed.

Comment 10 Tim Waugh 2006-04-25 09:29:51 UTC
I dropped the patch, because I got no answer to comment #8.


Note You need to log in before you can comment on or make changes to this bug.